This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1269298 - pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',) [NEEDINFO]
pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Jiri Konecny
Fedora Extras Quality Assurance
abrt_hash:5007dc3cce4506a339a2128c2a8...
:
: 1268052 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 18:36 EDT by czerny.jakub
Modified: 2016-12-20 09:54 EST (History)
31 users (show)

See Also:
Fixed In Version: anaconda-24.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:54:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkonecny: needinfo? (dwayne.bradley)


Attachments (Terms of Use)
File: anaconda-tb (460.07 KB, text/plain)
2015-10-06 18:36 EDT, czerny.jakub
no flags Details
File: anaconda.log (15.76 KB, text/plain)
2015-10-06 18:36 EDT, czerny.jakub
no flags Details
File: environ (538 bytes, text/plain)
2015-10-06 18:36 EDT, czerny.jakub
no flags Details
File: journalctl (318.41 KB, text/plain)
2015-10-06 18:36 EDT, czerny.jakub
no flags Details
File: lsblk_output (1.98 KB, text/plain)
2015-10-06 18:36 EDT, czerny.jakub
no flags Details
File: nmcli_dev_list (2.14 KB, text/plain)
2015-10-06 18:36 EDT, czerny.jakub
no flags Details
File: os_info (518 bytes, text/plain)
2015-10-06 18:36 EDT, czerny.jakub
no flags Details
File: program.log (27.20 KB, text/plain)
2015-10-06 18:37 EDT, czerny.jakub
no flags Details
File: storage.log (75.17 KB, text/plain)
2015-10-06 18:37 EDT, czerny.jakub
no flags Details
File: ifcfg.log (7.13 KB, text/plain)
2015-10-06 18:37 EDT, czerny.jakub
no flags Details

  None (edit)
Description czerny.jakub 2015-10-06 18:36:42 EDT
Description of problem:
I selected language (en-US) and clicked "Continue".

Running in Virtual Box 4.3.30

Version-Release number of selected component:
anaconda-core-23.19.4-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/nm.py", line 273, in nm_device_property
    raise PropertyNotFoundError(prop)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/nm.py", line 395, in nm_device_perm_hwaddress
    return nm_device_property(name, "PermHwAddress")
  File "/usr/lib64/python3.4/site-packages/pyanaconda/nm.py", line 412, in nm_device_valid_hwaddress
    return nm_device_perm_hwaddress(name)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/nm.py", line 596, in nm_hwaddr_to_device_name
    if nm_device_valid_hwaddress(device).upper() == hwaddr.upper():
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/network.py", line 281, in get_iface
    iface = nm.nm_hwaddr_to_device_name(hwaddr)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/network.py", line 246, in __init__
    dev_name = self.get_iface()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/network.py", line 458, in add_connection_to_list
    dev_cfg = DeviceConfiguration(con_uuid=uuid)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/network.py", line 492, in initialize
    self.add_connection_to_list(uuid)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1496, in initialize
    self.network_control_box.initialize()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 166, in _createBox
    spoke.initialize()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 344, in refresh
    self._createBox()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/__init__.py", line 991, in _on_continue_clicked
    nextAction.refresh()
pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23_B-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.4-1.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 czerny.jakub 2015-10-06 18:36:47 EDT
Created attachment 1080430 [details]
File: anaconda-tb
Comment 2 czerny.jakub 2015-10-06 18:36:49 EDT
Created attachment 1080431 [details]
File: anaconda.log
Comment 3 czerny.jakub 2015-10-06 18:36:50 EDT
Created attachment 1080432 [details]
File: environ
Comment 4 czerny.jakub 2015-10-06 18:36:54 EDT
Created attachment 1080433 [details]
File: journalctl
Comment 5 czerny.jakub 2015-10-06 18:36:55 EDT
Created attachment 1080434 [details]
File: lsblk_output
Comment 6 czerny.jakub 2015-10-06 18:36:57 EDT
Created attachment 1080435 [details]
File: nmcli_dev_list
Comment 7 czerny.jakub 2015-10-06 18:36:59 EDT
Created attachment 1080436 [details]
File: os_info
Comment 8 czerny.jakub 2015-10-06 18:37:00 EDT
Created attachment 1080437 [details]
File: program.log
Comment 9 czerny.jakub 2015-10-06 18:37:03 EDT
Created attachment 1080438 [details]
File: storage.log
Comment 10 czerny.jakub 2015-10-06 18:37:04 EDT
Created attachment 1080439 [details]
File: ifcfg.log
Comment 11 David Shea 2015-10-07 10:13:47 EDT
*** Bug 1268052 has been marked as a duplicate of this bug. ***
Comment 12 Joshua Rosen 2015-10-26 16:01:36 EDT
Another user experienced a similar problem:

Installing on a Gigabyte Z170X Gaming 5 motherboard with a Skylake 6700K processor, a 6TB harddrive and a 500G SSD.

Crash happens on the language screen

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:UUID=78468dbf-61d0-479a-a54e-6484f06a8322 rootfstype=ext4 rw rd.live.image rd.live.overlay=UUID=78468dbf-61d0-479a-a54e-6484f06a8322 quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.0-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.4-1.fc23.x86_64
package:        anaconda-core-23.19.4-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 13 Konrad Rzeszutek Wilk 2015-11-04 15:21:02 EST
Also under Xen HVM guests.

The work-around was to boot with 'xen_emul_unplug=ide' on the Linux kernel command line.
Comment 14 Radek Vykydal 2015-11-09 05:08:55 EST
We should fix nm_device_valid_hwaddress to be useble with bridges (and other devices) too, so I'd think check for PermHwAddress only for Wired devices and for other (including Infiniband) look for HwAddress.
Comment 15 D. Hugh Redelmeier 2015-11-11 22:24:38 EST
Another user experienced a similar problem:

Installing F23 64-bit desktop from a USB stick.
Only disk is brand new 3T Seagate drive with no partitioning.
I think that the machine is BIOS-only, not UEFI.

There is a slight chance of SATA controller problems but none showed up in dmesg.
Disk passes short SMART test on this machine (and long test on another).

I attempted to install after getting to the desktop.  On the language selection page (i.e. the first) I left it at English, English (Canada) and pressed "continue" and got this crash a few seconds later.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 16 D. Hugh Redelmeier 2015-11-11 22:33:39 EST
Note: I am running this on real hardware.

I see that this might be a network manager problem.  I'm using a USB to ethernet adapter.  I have disabled the motherboard's ethernet interface in the BIOS settings because it has been unreliable.
Comment 17 D. Hugh Redelmeier 2015-11-11 22:48:29 EST
To be clear: I didn't try installing with the motherboard's ethernet, only with the USB ethernet adapter.

With USB ethernet enabled, anaconda crashed.

I then disabled it and tried installing again (no reboot).  Anaconda crash.

I then unplugged the USB ethernet and tried installing again (no reboot).  Anaconda crashed.

I then rebooted the live USB stick, without the USB ethernet installed.  The installer does not crash!  At least not right away.
Comment 18 Jos de Kloe 2015-11-22 05:13:04 EST
Another user experienced a similar problem:

boot F23 from a usb stick with live-workstation image created with the liveusb-creator tool;
the error occurs just after clicking continue in the language selection for the installation dialog

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=LIVE rootfstype=ext4 rw rd.live.image rd.live.overlay=LABEL=LIVE quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 19 D. Hugh Redelmeier 2015-11-24 02:27:06 EST
Another user experienced a similar problem:

tried to install Fedora 23 from live USB stick.
First time, I installed USB ethernet after starting install, using the desktop.  Install immediately crashed.
From same boot of live USB, fired up install again, and it crashed when I specified my language , English (Canada).

This looks a lot like an error I had on a different computer a few days ago.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 20 Jiri Konecny 2015-11-26 09:22:39 EST
PR: https://github.com/rhinstaller/anaconda/pull/461

Also I can't reproduce this so if someone of you could test this updates image it would be nice.
https://jkonecny.fedorapeople.org/redhat/fix-permhwaddress-image.img
Comment 21 Jan Kalina 2015-12-06 05:09:42 EST
Another user experienced a similar problem:

Clear installation in virtualbox, new VDI disk, default virtual computer settings.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 22 Jan Kalina 2015-12-06 06:13:06 EST
I confirm fix by Jiri Konecny - it fixed problem for me and installation was successful :)
Comment 23 Jiri Konecny 2015-12-07 02:28:37 EST
Nice, thank you for testing Kalina.
Comment 24 Jos de Kloe 2015-12-10 07:04:42 EST
I can also confirm the fix mentioned in comment #20 solves the problem with installing from usb on my side.

I have manually modified the anaconda python source according to this github pullrequest, and after that the installation works as expected without any errors. Is there any chance updated Fedora23 iso's will be published containing this fix?
Comment 25 Jiri Konecny 2015-12-10 07:31:36 EST
Hello Jos,

First, thank you for testing but sorry the Fedora23 iso can't be updated once it's released. When the Fedora GA is released it's really rare to create respin and we want to avoid that. This update will be in Fedora 24.

The easiest way to solve this is to create updates image with my patch applied on f23-branch.

Jirka
Comment 26 Rodrigo Portela 2015-12-11 12:42:50 EST
Another user experienced a similar problem:

Clicked continue on language selection (first screen) of live disk install to computer (fedora 23)

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=LIVE rootfstype=vfat rw rd.live.image rd.live.overlay=LABEL=LIVE quiet rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=vmlinuz0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 27 Ganesh Kadam 2015-12-24 23:44:44 EST
Another user experienced a similar problem:

I found this problem today while installing F23 on my HP P-210tx Machine from bootable usb drive . Since this machine has Broadcom's hardware for wifi connectivity , this time i tried connecting my usb wifi card from TP link : TL-WN722N , so that i can install any extra updtes while installing . So when i started the installation process i found this error. 

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=FEDORA-LIVE rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 28 Arpad Boros 2015-12-30 01:04:57 EST
Another user experienced a similar problem:

Running Fedora 23 in Virtualbox, on Linuxmint 17.3 host:
After starting the 'Install to Hard Drive' application, then the language selection, the bug happened every time.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 29 D. Hugh Redelmeier 2015-12-31 17:20:58 EST
(In reply to Jiri Konecny from comment #20)
> PR: https://github.com/rhinstaller/anaconda/pull/461
> 
> Also I can't reproduce this so if someone of you could test this updates
> image it would be nice.
> https://jkonecny.fedorapeople.org/redhat/fix-permhwaddress-image.img

How does one use this?  It's clearly not a .iso.  Can you use this to modify one of the released F23 .iso files some how?
Comment 30 Jos de Kloe 2016-01-01 11:06:49 EST
This is how I did apply this fix:

* create a bootable USB drive using the liveusb-creator and make sure to add some persistent storage on the USB drive.
* boot from the USB drive without installing
* manually edit the anaconda installer as detailed in PR mentioned in comment #20 (changes are stored in the persistent storage section of the USB drive)
* then start the installation

The actual source code file change can be seen here:
https://github.com/rhinstaller/anaconda/pull/461/files
and this change must be applied to this file:
/usr/lib64/python3.4/site-packages/pyanaconda/nm.py

After this modification the installation worked flawlessly for me.
Comment 31 Jiri Konecny 2016-01-04 04:27:59 EST
Thank you Jos for the explanation but there is an easier way.

Updates image is the way how you can change parts of the anaconda automatically. If you have internet when installation is starting it's without problem you only need to add this boot option:

inst.updates=https://jkonecny.fedorapeople.org/redhat/fix-permhwaddress-image.img

If you don't have internet in the installation you can use any persistent storage in this way:

1) Format usb or disk partition which is in PC and you don't need this storage for the installation. Set label to something (for example UPDATES). You can set label by this command mkfs.ext4 -L UPDATES /dev/sdb1 (change the /dev/sdb1 with your device and mkfs with chosen format). WARNING: This will erase all your data.

2) Copy an updates image from the link to this newly created storage.

3) Attach storage to PC and start installation with boot option:

inst.updates=hd:LABEL=STORAGE_LABEL:/path/to/updates.img

In the example above:

inst.updates=hd:LABEL=UPDATES:/fix-permhwaddress-image.img

If anything is not clear please feel free to ask for more details.

Jiri Konecny
Comment 32 Sam Tygier 2016-01-17 07:57:50 EST
Another user experienced a similar problem:

Started the installer on a live cd (in Virtual Box). After selecting a language I pressed continue

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 33 Chris 2016-02-01 16:39:35 EST
Another user experienced a similar problem:

I clicked on the 'Install' function after loading the Fedora ISO in VirtualBox 5.0.14 r105127 from within Fedora 23 (with latest updates as of Feb/1/2016).  An error message occured when I clicked on the 'Continue' button at the first page, which allows one to select a language.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 34 mgildroy 2016-02-20 17:46:35 EST
Another user experienced a similar problem:

during install, first screen for language selection i clicked continued on the default english settings.

User interaction = clicked continue

results = install times out then this error pops up

- I have tried both 32 and 64bit installs; verified instill media and checksum completed. Other distros install finek, what am I missing?

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 nomodeset
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 35 Jiri Konecny 2016-02-22 03:22:39 EST
Hi mgildroy,

You doesn't miss anything but we aren't updating the compose after it was released. If you want to fix this issue please use the updates image:

https://jkonecny.fedorapeople.org/redhat/fix-permhwaddress-image.img

You can use it when you boot installation with this boot parameter:

inst.updates=https://jkonecny.fedorapeople.org/redhat/fix-permhwaddress-image.img

or you can wait for the F24 release.
Comment 36 Dwayne Bradley 2016-03-14 11:24:50 EDT
Trying to install Fedora in VirtualBox 5.0.16 with the patch:

inst.updates=https://jkonecny.fedorapeople.org/redhat/fix-permhwaddress-image.img

This still did not work for me.  The problem I encountered was with the "virbr0" network adapter after the VM booted from the ISO image.  The install still gave me the PropertyNoFoundError with "name: virbr0".  To get around it, I did the following:

1. After booting with the "inst.updates" line shown above added to the bootup process, I selected "Try Fedora" instead of installing to the hard drive.

2. Open a Terminal window and remove the "virbr0" virtual bridge using the following commands:

- sudo ifconfig virbr0 down
- sudo brctl delbr virbr0

3. From the activities menu, I then selected the "Install to Hard Drive" option.

After this, the installation process proceeded and Fedora install correctly.
Comment 37 Jiri Konecny 2016-03-15 04:37:53 EDT
Hello Dwayne,

could you please attach a logs here from your crash. They are in the installation environment in /tmp/ folder.

Thank you
Comment 38 Flo H. 2016-03-25 14:56:06 EDT
Another user experienced a similar problem:

Happened upon clicking on Continue on the first screen of Anaconda (language selection).

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 39 vikram goyal 2016-04-02 02:01:27 EDT
Another user experienced a similar problem:


2 blank sata hdds, one 150 GB sda & other 250 GB sdb. the installation was selected after booting from USB. After selection of English (India), it crashed.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=LIVE rootfstype=vfat rw rd.live.image rd.live.overlay=LABEL=LIVE quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 40 Todd Thomas 2016-05-08 11:56:13 EDT
Another user experienced a similar problem:

Installing f23 to vbox guest with 1GB RAM and the rest are defaults. 

The first install went as expected. The second install resulted in this error; it happened at the Language Selection Screen.

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 41 Ashon 2016-05-09 18:29:33 EDT
Another user experienced a similar problem:

Got error at the installation screen after selecting language

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 42 Florian Reichmuth 2016-05-28 06:21:27 EDT
Another user experienced a similar problem:

When changing the language in anaconda the program will crash. (Changed from en_US to de_DE)

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE rw rd.live.image rd.live.overlay=LABEL=LIVE quiet rhgb rd.live.check
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: anaconda-gui-23.19.10-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         pyanaconda.nm.PropertyNotFoundError: PropertyNotFoundError('PermHwAddress',)
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 43 Fedora End Of Life 2016-11-24 07:42:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 44 Fedora End Of Life 2016-12-20 09:54:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.